Bug 836266 - Illegal division by zero at /usr/share/perl5/vendor_perl/Panotools/Photos.pm line 145
Illegal division by zero at /usr/share/perl5/vendor_perl/Panotools/Photos.pm ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: perl-Panotools-Script (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bruno Postle
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 10:10 EDT by Tobias Mueller
Modified: 2013-02-13 22:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 22:05:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch fixing the issue for me (89 bytes, patch)
2012-06-28 10:18 EDT, Tobias Mueller
no flags Details | Diff

  None (edit)
Description Tobias Mueller 2012-06-28 10:10:19 EDT
panostart doesn't work sometimes, probably depending on the photos:

muelli@bigbox /tmp/panos/argentina/bullsring $ rpm -qf /usr/share/perl5/vendor_perl/Panotools/Photos.pm
perl-Panotools-Script-0.26-2.fc16.noarch
muelli@bigbox /tmp/panos/argentina/bullsring $ ls -l --full-time *.jpg
-rw-r--r--. 1 muelli muelli 1106968 2012-06-28 14:45:03.840903625 +0200 20110919_015.jpg
-rw-r--r--. 1 muelli muelli 1405432 2012-06-28 14:45:03.841903623 +0200 20110919_016.jpg
-rw-r--r--. 1 muelli muelli 1515032 2012-06-28 14:45:03.844903618 +0200 20110919_017.jpg
muelli@bigbox /tmp/panos/argentina/bullsring $ exiftool  20110919_015.jpg > /tmp/20110919_015.jpg.exif
muelli@bigbox /tmp/panos/argentina/bullsring $ exiftool  20110919_016.jpg > /tmp/20110919_016.jpg.exif
muelli@bigbox /tmp/panos/argentina/bullsring $ diff -Nur /tmp/20110919_01*exif
--- /tmp/20110919_015.jpg.exif	2012-06-28 16:07:40.805989045 +0200
+++ /tmp/20110919_016.jpg.exif	2012-06-28 16:07:43.390987238 +0200
@@ -1,7 +1,7 @@
 ExifTool Version Number         : 8.75
-File Name                       : 20110919_015.jpg
+File Name                       : 20110919_016.jpg
 Directory                       : .
-File Size                       : 1081 kB
+File Size                       : 1372 kB
 File Modification Date/Time     : 2012:06:28 14:45:03+02:00
 File Permissions                : rw-r--r--
 File Type                       : JPEG
@@ -13,16 +13,16 @@
 X Resolution                    : 300
 Y Resolution                    : 300
 Resolution Unit                 : inches
-Modify Date                     : 2011:09:19 17:47:46
+Modify Date                     : 2011:09:19 17:47:56
 Y Cb Cr Positioning             : Centered
-Exposure Time                   : 1/1000
+Exposure Time                   : 0
 F Number                        : 2.8
 Exposure Program                : Not Defined
 ISO                             : 100
 Exif Version                    : 0210
-Date/Time Original              : 2011:09:19 17:47:46
+Date/Time Original              : 2011:09:19 17:47:56
 Components Configuration        : 
-Shutter Speed Value             : 1/512
+Shutter Speed Value             : 1/1024
 Aperture Value                  : 2.8
 Light Source                    : Unknown
 Flash                           : No Flash
@@ -53,11 +53,10 @@
 Color Components                : 3
 Y Cb Cr Sub Sampling            : YCbCr4:2:0 (2 2)
 Aperture                        : 2.8
-GPS Altitude                    : 4 m Above Sea Level
+GPS Altitude                    : 13.5 m Above Sea Level
 GPS Latitude                    : 34 deg 26' 12.00" S
-GPS Longitude                   : 57 deg 51' 53.00" W
-GPS Position                    : 34 deg 26' 12.00" S, 57 deg 51' 53.00" W
+GPS Longitude                   : 57 deg 51' 54.00" W
+GPS Position                    : 34 deg 26' 12.00" S, 57 deg 51' 54.00" W
 Image Size                      : 2576x1936
-Shutter Speed                   : 1/1000
+Shutter Speed                   : 0
 Focal Length                    : 5.2 mm
-Light Value                     : 12.9
muelli@bigbox /tmp/panos/argentina/bullsring $ panostart 20110919_015.jpg 20110919_016.jpg 20110919_017.jpg 
Illegal division by zero at /usr/share/perl5/vendor_perl/Panotools/Photos.pm line 145.
muelli@bigbox /tmp/panos/argentina/bullsring $ panostart 20110919_016.jpg 20110919_017.jpg 
muelli@bigbox /tmp/panos/argentina/bullsring $ 



It seems as if the exposure time or the shutter speed was an issue.
Comment 1 Tobias Mueller 2012-06-28 10:18:04 EDT
Created attachment 595032 [details]
Patch fixing the issue for me

Well, the generated panorama looks very very very ugly, i.e. way too bright, as if it was overexposed. But that *may* be a problem somewhere else.
Comment 2 Bruno Postle 2012-07-13 17:05:40 EDT
Hi Tobias, the attachment just contains a line of text and no code.

This should be fixed in the perl-Panotools-Script-0.27 package pushed for f18.

For f16 and f17, there are up-to-date packages in the panorama repository here: http://repos.fedorapeople.org/repos/bpostle/panorama/

These photos will always cause problems since the EXIF records the exposure time as zero.  In Hugin you can use the Reset function to equalise the Eev of every photo, or you can perform photometric optimisation which will also ignore the EXIF data and will calculate Eev by comparing overlapping areas.
Comment 3 Fedora End Of Life 2013-01-16 21:18:46 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 22:05:24 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.